html,
body {
    padding: 0;
    margin: 0;
    width: 100%;
    height: 100%;
    background: #FFFFFF;
    overflow: hidden;
}

html,
body,
#unity-container,
canvas {
    touch-action: none;
    -ms-touch-action: none;
    -webkit-user-select: none;
    user-select: none;
}

body {
    display: flex;
    align-items: center;
    justify-content: center;
}

#unity-container {
    background: #FFFFFF;
    display: flex;
    align-items: center;
    justify-content: center;
}

#unity-container.unity-common {
    position: absolute;
    height: 100%;
    aspect-ratio: 9 / 16;
}

#unity-container.unity-mobile {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
}

#unity-container.unity-desktop-full {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
}

#unity-canvas {
    width: 100%;
    height: 100%;
    display: block;
    background: #FFFFFF;
    pointer-events: auto;
    outline: none;
    -webkit-tap-highlight-color: rgba(255, 255, 255, 0);
    /* mobile webkit */
}

#unity-loading-bar {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    display: none
}

#pinpin-logo {
    width: 154px;
    height: 154px;
    background: url('pinpin-logo.png') no-repeat bottom;
    background-size: cover;
    display: block;
}

#unity-progress-bar-empty {
    width: 141px;
    height: 18px;
    margin-top: 10px;
    margin-left: 6.5px;
    background: url('progress-bar-empty.png') no-repeat center
}

#unity-progress-bar-full {
    width: 0%;
    height: 18px;
    margin-top: 10px;
    background: url('progress-bar-full.png') no-repeat center
}

#unity-footer {
    position: relative;
    display: none;
}

#unity-build-title {
    float: right;
    margin-right: 10px;
    line-height: 38px;
    font-family: arial;
    font-size: 18px
}

#unity-warning {
    position: absolute;
    left: 50%;
    top: 5%;
    transform: translate(-50%);
    background: white;
    padding: 10px;
    display: none
}